<?php 
$post = $this->singlePost;
$brand = $this->brand;
$images = array();
$is_image = 0;
if(!empty($post->postImageData))
{
    $imagesData = json_decode($post->postImageData);
    if(!empty($imagesData))
    {
        foreach($imagesData as $img)
        {
            $images[] = $img->url;
        }
        $is_image = true;
    }
}

?>
<?php if($post->postType == 3){ ?>

<span class="page-avatar-change-button">
    <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
</span>
<div class="post-container" id="post-edit-<?php echo $post->id; ?>">
    <ul class="navigation-post">
        <li class="active"><a data-toggle="tab" href="#sectionAdvanced">Advanced Story</a></li>
    </ul>
    
    <div class="tab-content editor-content">
        <div id="sectionAdvanced" class="tab-pane fade in active adv-story-input">
            <div id="story_advanced">
                <div class="story-title">
                    <input type="text" placeholder="Story Title" id="edit_post_title_<?php echo $post->id; ?>" class="story-title story-input-title" value="<?php echo $post->postTitle; ?>">
                </div>
                
                <div class="placeholder">
                    <label for="advanced-story">Type your article</label>
                    <textarea id="edit_post_content_<?php echo $post->id; ?>" class="story-text story-input-text edit-advanced-story" placeholder="Write your story"><?php echo $post->postContent; ?></textarea>
                </div>
               
                <div class="postStory">
                    <!--<button class="postBtn" onclick="postStory('draft-input', 'advanced', true)">Save to Draft</button>-->
                    <button class="postblueBtn" onclick="editPostStory(<?php echo $post->id; ?>, 0, 'adv-story-input', true);">Post</button>
                    <button class="hideBtnCategory" onclick="cancelEditPost(<?php echo $post->id; ?>, <?php echo $is_image; ?>);" style="margin: 17px 0;">Cancel</button>
                    <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $post->postType; ?>">
                </div>
                <div class="clear"></div>
            </div>
        </div>
        <div class="clear"></div>
    </div>
    
    <div class="clear"></div>
</div>

<?php }else if($post->postType == 1){ ?>

    <ul class="navigation-post">
        <li class="active"><a data-toggle="tab" href="#sectionA"><img src="/images/pencil.png"> Quote</a></li>
    </ul>
    <div class="tab-content">

        <!--Quote Content-->
        <div id="sectionA" class="tab-pane fade in quote-input active">
            <textarea id="edit_post_content_<?php echo $post->id; ?>" class="story-input-text" placeholder="Type Brand quote here..."><?php echo $post->postContent; ?></textarea>
            <div class="postQuote">
                <button class="postblueBtn" onclick="editPostStory(<?php echo $post->id; ?>, 0, 'quote-input', false)">Post</button>
                <button class="hideBtnCategory" onclick="cancelEditPost(<?php echo $post->id; ?>);" style="margin: 17px 0;">Cancel</button>
                <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $post->postType; ?>">
                <div class="clear"></div>
            </div>
        </div>
        <!--End Photo Content-->
        <div class="clear"></div>
    </div>
    <div class="clear"></div>

<?php }else if($post->postType == 5){ ?>

    <div id="edit-video-post" class="newAlbum video-input">
        <div class="alb-name">
            <span>VIDEO</span>
            <a href="javascript:void(0);" id="hidealbumagain" onclick="hideEditForm()"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
        </div>
        
        <div class="video_url_container" style="display:none;">
            <textarea placeholder="Paste your video link" id="edit_video-box" class="story-input-text"></textarea>
        </div>
        
        <div class="video_frame_container">
            <div class="video_frame_contain">
                <div class="video_frame_display">
                    <div class="remove_video" onclick="javascript: remove_video();">
                        <img src="/images/xcategory.png">
                    </div>
                    <?php echo $post->videoDataTag; ?>
                </div>
                <div class="video-form">
                    <div class="video_form_controls">
                        <textarea id="edit_post_content_<?php echo $post->id; ?>" placeholder="Write something about the video" class="video-input-text story-input-text"><?php echo $post->postContent; ?></textarea>
                        <input type="hidden" id="edit_video_url_<?php echo $post->id; ?>" class="video-url-text" value="<?php echo $post->videoData; ?>" />
                    </div>
                </div>
            </div>
         </div>
        
        <div class="postPhoto">
            <button class="postblueBtn" onclick="editPostStory(<?php echo $post->id; ?>, 0, 'video-input', false);">Post</button>
            <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $post->postType; ?>">
            <div class="clear"></div>
        </div>
        <!-- end of the photo part, lets move to video -->
    </div>
    <div class="clear"></div>

<?php }else if($post->postType == 4){?>
    
    <div id="newAlbum" class="newAlbum upload-photo">
        <div class="alb-name">
            <span>PHOTO</span>
            <a href="javascript:void(0);" id="hidealbumagain" onclick="hideAddForm()"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
        </div>
        <textarea id="edit_post_content_<?php echo $post->id; ?>" placeholder="Describe Photo" class="story-input-text"><?php echo $post->postContent; ?></textarea>
        <div class="thumbs-slide top-border" id="photo-container">
            <div class="upload-image-list-photo editable small-image-section" data-type="photo"></div>
            <div class="clear"></div>
        </div>
        
        <div class="postPhoto">
            <button class="postBtn" onclick="uploadImage('photo');"><img src="/images/miniadd.png"> Add Photos</button>
            <button class="postblueBtn" onclick="editPostStory(<?php echo $post->id; ?>, 0, 'upload-photo', true);">Post</button>
            <button class="hideBtnCategory" onclick="cancelEditPost(<?php echo $post->id; ?>, <?php echo $is_image; ?>);" style="margin: 17px 0;">Cancel</button>
            <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $post->postType; ?>">
            <input type="hidden" name="hdnPostImages" id="hdnPostImages" value='<?php echo json_encode($images); ?>'>
            <div class="clear"></div>
        </div>
        <!-- end of the photo part, lets move to video -->
    </div>
    <div class="clear"></div>

<?php }else if($post->postType == 7){?>
    <div class="project-title-bar">
        <h1 class="new-project-title">Edit project content</h1>
        <div class="clear"></div>
    </div>
    <div class="project-photo-upload portfolio-photo-upload" onclick="uploadImage('aboutme');"></div>
    <div class="project-upload-details">
        <input type="text" class="project-title-upload reset-text" placeholder="Work Title" value="<?=$post->postTitle; ?>">
        <textarea class="project-description-upload reset-text" placeholder="Description"><?=$post->postContent; ?></textarea>
        <input type="hidden" name="hdnPortfolioId" id="hdnPortfolioId" value="<?=$post->id; ?>">
        
        <div class="upload-image-list-portfolio editable small-image-section image-list thumbs-slide" style="display: none;"></div>
    </div>
    <div class="post-uploaded-product">
        <button id="projectAdd" onclick="javascript: editPortfolioData(<?=$post->id; ?>, <?=$post->categoryId; ?>);" class="postblueBtnCategory">Edit</button>
        <button id="closePhotoUpload" class="hideBtnCategory" onclick="javascript: hideAddNewForm();">Cancel</button>
        <span class="advanced-options float-right"><a href="javascript: void(0);" onclick="javascript: editPortfolioData(<?=$post->id; ?>, <?=$post->categoryId; ?>, 1);">Save Draft</a></span>
        <input type="hidden" name="hdnPostImages" id="hdnPostImages" value='<?php echo json_encode($images); ?>'>
        <div class="clear"></div>
    </div>
<?php }else{ ?>
<span class="page-avatar-change-button">
    <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
</span>
<div class="post-container" id="post-edit-<?php echo $post->id; ?>">
    <ul class="navigation-post">
        <li class="active"><a data-toggle="tab" href="#sectionStory">Story</a></li>
    </ul>
    
    <div class="tab-content editor-content">
        
        <div id="sectionStory" class="tab-pane fade in active story-input">
            <div id="story">
                <div class="story-title">
                    <input type="text" id="edit_post_title_<?php echo $post->id; ?>" placeholder="Story Title" value="<?php echo $post->postTitle; ?>" class="story-input-title">
                </div>
                <div>
                    <div class="upload-image-list-post image-list editable">

                    </div>
                </div>
                <textarea id="edit_post_content_<?php echo $post->id; ?>" class="story-text story-input-text post-story-editor-area" placeholder="Write your story"><?php echo $post->postContent; ?></textarea>
                <div class="postStory">
                    <button class="postBtn" onclick="uploadImage('post');"><img src="/images/miniadd.png"> Add Photos</button>
                    <button class="postblueBtn" onclick="editPostStory(<?php echo $post->id; ?>, 0, 'story-input', true);">Post</button>
                    <button class="hideBtnCategory" onclick="cancelEditPost(<?php echo $post->id; ?>, <?php echo $is_image; ?>);" style="margin: 17px 0;">Cancel</button>
                    <input type="hidden" name="hdnPostType" id="hdnPostType" value="<?php echo $post->postType; ?>">
                    <input type="hidden" name="hdnPostImages" id="hdnPostImages" value='<?php echo json_encode($images); ?>'>
                </div>
                <div class="clear"></div>
            </div>
        </div>

        <div class="clear"></div>
    </div>
    
    <div class="clear"></div>
</div>
<?php } ?>
<?php  die; ?>